Skip to main content
GET
/
customers
List customers with filtering and pagination
curl --request GET \
  --url https://api.zenskar.com/customers \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "customer_name": "Acme Corporation",
      "email": "billing@acme.com",
      "created_at": "2023-01-01T00:00:00",
      "updated_at": "2023-06-15T10:30:00"
    },
    {
      "id": "223e4567-e89b-12d3-a456-426614174001",
      "customer_name": "TechStart Inc",
      "email": "contact@techstart.io",
      "created_at": "2023-02-15T00:00:00",
      "updated_at": "2023-06-20T14:20:00"
    }
  ],
  "next": "cursor_to_next_page",
  "total": 142
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Headers

apiversion
integer | null

Query Parameters

cursor
string | null

The cursor indicating a unique set of results - this should be auto generated and you get it from the next and previous fields of the response

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

limit
integer | null

The number of results to return - defaults to 10

Example:

10

search
string | null
Example:

"customer_name=Acme"

order
string | null
default:-created_at
Example:

"order=created_at"

sort_key
string | null
Example:

"sort_key=id"

sort_type
string | null
Example:

"sort_key=asc"

expand
string | null
Example:

"expand=contacts"

id
string<uuid> | null
id__in
string | null
id__isnull
boolean | null
external_id
string | null
external_id__ilike
string | null
external_id__like
string | null
external_id__in
string | null
external_id__isnull
boolean | null
email
string | null
email__ilike
string | null
email__like
string | null
email__in
string | null
email__isnull
boolean | null
phone_number__ilike
string | null
phone_number__like
string | null
phone_number__isnull
boolean | null
communications_enabled
boolean | null
auto_charge_enabled
boolean | null
created_at
string<date-time> | null
created_at__neq
string<date-time> | null
created_at__gt
string<date-time> | null
created_at__gte
string<date-time> | null
created_at__lt
string<date-time> | null
created_at__lte
string<date-time> | null
created_at__isnull
boolean | null
created_at__in
string | null
customer_name
string | null
customer_name__ilike
string | null
customer_name__like
string | null
customer_name__in
string | null
customer_name__isnull
boolean | null
business_entity_id
string<uuid> | null
business_entity_id__in
string | null
business_entity_id__isnull
boolean | null
search_name_external_id
string | null
invoice__customer_id
string<uuid> | null
invoice__customer_id__in
string | null
invoice__customer_id__isnull
boolean | null
invoice__contract_id
string<uuid> | null
invoice__contract_id__in
string | null
invoice__contract_id__isnull
boolean | null
invoice__status
string | null
invoice__status__ilike
string | null
invoice__status__like
string | null
invoice__status__in
string | null
invoice__status__isnull
boolean | null
invoice__external_id
string | null
invoice__external_id__ilike
string | null
invoice__external_id__like
string | null
invoice__external_id__in
string | null
invoice__external_id__isnull
boolean | null
invoice__invoice_total
number | null
invoice__invoice_total__neq
number | null
invoice__invoice_total__gt
number | null
invoice__invoice_total__gte
number | null
invoice__invoice_total__lt
number | null
invoice__invoice_total__lte
number | null
invoice__invoice_total__isnull
boolean | null
invoice__invoice_total__in
string | null
invoice__amount_due
number | null
invoice__amount_due__neq
number | null
invoice__amount_due__gt
number | null
invoice__amount_due__gte
number | null
invoice__amount_due__lt
number | null
invoice__amount_due__lte
number | null
invoice__amount_due__isnull
boolean | null
invoice__amount_due__in
string | null
invoice__due_date
string<date-time> | null
invoice__due_date__neq
string<date-time> | null
invoice__due_date__gt
string<date-time> | null
invoice__due_date__gte
string<date-time> | null
invoice__due_date__lt
string<date-time> | null
invoice__due_date__lte
string<date-time> | null
invoice__due_date__isnull
boolean | null
invoice__due_date__in
string | null
invoice__created_at
string<date-time> | null
invoice__created_at__neq
string<date-time> | null
invoice__created_at__gt
string<date-time> | null
invoice__created_at__gte
string<date-time> | null
invoice__created_at__lt
string<date-time> | null
invoice__created_at__lte
string<date-time> | null
invoice__created_at__isnull
boolean | null
invoice__created_at__in
string | null
invoice__approved_at
string<date-time> | null
invoice__approved_at__neq
string<date-time> | null
invoice__approved_at__gt
string<date-time> | null
invoice__approved_at__gte
string<date-time> | null
invoice__approved_at__lt
string<date-time> | null
invoice__approved_at__lte
string<date-time> | null
invoice__approved_at__isnull
boolean | null
invoice__approved_at__in
string | null
invoice__sent_at
string<date-time> | null
invoice__sent_at__neq
string<date-time> | null
invoice__sent_at__gt
string<date-time> | null
invoice__sent_at__gte
string<date-time> | null
invoice__sent_at__lt
string<date-time> | null
invoice__sent_at__lte
string<date-time> | null
invoice__sent_at__isnull
boolean | null
invoice__sent_at__in
string | null
invoice__paid_at
string<date-time> | null
invoice__paid_at__neq
string<date-time> | null
invoice__paid_at__gt
string<date-time> | null
invoice__paid_at__gte
string<date-time> | null
invoice__paid_at__lt
string<date-time> | null
invoice__paid_at__lte
string<date-time> | null
invoice__paid_at__isnull
boolean | null
invoice__paid_at__in
string | null
payment_methods__id
string<uuid> | null
payment_methods__id__in
string | null
payment_methods__id__isnull
boolean | null
payment_methods__connector_id
string<uuid> | null
payment_methods__connector_id__in
string | null
payment_methods__connector_id__isnull
boolean | null
payment_methods__connector_name
string | null
payment_methods__connector_name__ilike
string | null
payment_methods__connector_name__like
string | null
payment_methods__connector_name__in
string | null
payment_methods__connector_name__isnull
boolean | null
payment_methods__connector_name__neq
string | null
payment_methods__external_id
string | null
payment_methods__external_id__ilike
string | null
payment_methods__external_id__like
string | null
payment_methods__external_id__in
string | null
payment_methods__external_id__isnull
boolean | null
payment_methods__status
string | null
payment_methods__status__ilike
string | null
payment_methods__status__like
string | null
payment_methods__status__in
string | null
payment_methods__status__isnull
boolean | null
payment_methods__country
string | null
payment_methods__country__ilike
string | null
payment_methods__country__like
string | null
payment_methods__country__in
string | null
payment_methods__country__isnull
boolean | null
payment_methods__is_default
boolean | null
payment_methods__is_default__isnull
boolean | null
payment_methods__type
string | null
payment_methods__type__ilike
string | null
payment_methods__type__like
string | null
payment_methods__type__in
string | null
payment_methods__type__isnull
boolean | null

Response

Successfully retrieved customers

results
GetCustomerResponseSchema · object[]
required

The results for the current page

next
string | null

The cursor for the next page of results

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

previous
string | null

The cursor for the previous page of results

Example:

"GmBsbCBhcmV1IGN1cmlvdxM="

total_count
integer | null

The total count of rows